<?php

/**
 * Enable a page where user's can preview all available styles.
 */

// Add query var.
function cce_style_query_var( $query_vars )
{
    $query_vars[] = 'cce_preview_styles';
    return $query_vars;
}
add_filter( 'query_vars', 'cce_style_query_var' );

// Process request.
function cce_styles_parse_request( &$wp )
{
	// If the style preview page is being requested...
	if ( array_key_exists( 'cce_preview_styles', $wp->query_vars ) )
	{
		// We load the custom template.
		include dirname( __FILE__ ) . '/styles-preview-template.php';
		exit();
	}
	
	return;
}
add_action( 'parse_request', 'cce_styles_parse_request' );

?>